Subject: [siprec] extensionData in XML

From: Hadriel Kaplan <[email-masked]>
Date: Thu, 31 Mar 2011 20:42:42 -0400

Howdy,
With regards to the extensionData concept and XML, I have a few basic questions.  I am by no means an XML expert so it could just be my lack of knowledge which makes me confused.  If so, just tell me to RTFM.

draft-ram-siprec-metadata-04 says in section 4.6:
   A recording metadata object contains additional data not specified as
   part of siprec.  This is intended to accommodate future standards
   track extensions, as well as vendor and user specific extensions.
   The mechanism MUST provide a means of unambiguously distinguishing
   such extension data.

What confuses me is I didn't think XML had to do such machinations to accommodate this need.  I thought we could just specify in our RFCs that unknown XML elements and attributes MUST be ignored, so that future RFCs could add them without having to leave specific "blob" XML elements to carry such data.  Or at least that's what we've done so far in SIP RFCs with XML bodies, afaik.  I also thought XML had a namespace model that could be used to disambiguate proprietary elements from standard ones.  If both of those theories are correct, why do we need to define an extensionData element? 

-hadriel